libzypp: ztui::TableHeader Class Reference

libzypp 17.38.14

ztui::TableHeader Class Reference

`#include <zypp-tui/Table.h>`

Inheritance diagram for ztui::TableHeader:

## Public Types
using | CStyle = table::CStyle
Public Types inherited from ztui::TableRow
using | container = std::vector<std::string>

## Public Member Functions
| TableHeader (unsigned c=0)
| Constructor. Reserve place for c columns.
bool | hasStyle (unsigned c, CStyle s) const
CStyle | style (unsigned c) const
void | style (unsigned c, CStyle s)
std::set< unsigned > | editionColumns () const
Public Member Functions inherited from ztui::TableRow
| TableRow ()
| Binary predicate for sorting.
| TableRow (unsigned c)
| TableRow (ColorContext ctxt_r)
| TableRow (unsigned c, ColorContext ctxt_r)
TableRow & | add (std::string s)
template<class Tp_>
TableRow & | add (const Tp_ &val_r)
TableRow & | addDetail (std::string s)
template<class Tp_>
TableRow & | addDetail (const Tp_ &val_r)
bool | empty () const
unsigned | size () const
unsigned | cols () const
std::ostream & | dumbDumpTo (std::ostream &stream) const
| tab separated output
std::ostream & | dumpTo (std::ostream &stream, const Table &parent) const
| output with parent table attributes
const boost::any & | userData () const
void | userData (const boost::any &n_r)
const container & | columns () const
container & | columns ()
const container & | columnsNoTr () const
container & | columnsNoTr ()

## Private Attributes
std::map< unsigned, CStyle > | _cstyle
| Column style and sort hints are remembered here.

## Additional Inherited Members
Protected Attributes inherited from ztui::TableRow
bool | _translateColumns = false

## Detailed Description

Definition at line 281 of file Table.h.

## Member Typedef Documentation

## ◆ CStyle

using ztui::TableHeader::CStyle = table::CStyle

Definition at line 284 of file Table.h.

## Constructor & Destructor Documentation

## ◆ TableHeader()

ztui::TableHeader::TableHeader | ( | unsigned | c = 0 | ) |
| inline

Constructor. Reserve place for c columns.

Definition at line 286 of file Table.h.

## Member Function Documentation

## ◆ hasStyle()

bool ztui::TableHeader::hasStyle | ( | unsigned | c,
|  | CStyle | s ) const
| inline

Definition at line 288 of file Table.h.

## ◆ style() [1/2]

CStyle ztui::TableHeader::style | ( | unsigned | c | ) | const
| inline

Definition at line 291 of file Table.h.

## ◆ style() [2/2]

void ztui::TableHeader::style | ( | unsigned | c,
|  | CStyle | s )
| inline

Definition at line 294 of file Table.h.

## ◆ editionColumns()

std::set< unsigned > ztui::TableHeader::editionColumns | ( |  | ) | const
| inline

Definition at line 298 of file Table.h.

## Member Data Documentation

## ◆ _cstyle

std::map<unsigned,CStyle> ztui::TableHeader::_cstyle
| private

Column style and sort hints are remembered here.

Definition at line 309 of file Table.h.

The documentation for this class was generated from the following file:

- zypp-tui/Table.h